## vncterm 0.1+1313997498

=== debian/changelog ===
vncterm (0.1+1313997498-1) unstable; urgency=low

  * New autobuild version

 -- Jon Ludlam <jenkins@debian32.uk.xensource.com>  Tue, 18 Oct 2011 16:35:12 +0100

vncterm (0.1-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Jon Ludlam <jonathan.ludlam@eu.citrix.com>  Tue, 19 Jul 2011 23:38:14 +0100
