=== debian/control ===
Source: vncterm
Section: unknown
Priority: extra
Maintainer: Jon Ludlam <jonathan.ludlam@eu.citrix.com>
Build-Depends: debhelper (>= 8.0.0), libxen-dev
Standards-Version: 3.9.2
Homepage: <insert the upstream URL, if relevant>
#Vcs-Git: git://git.debian.org/collab-maint/vncterm.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/vncterm.git;a=summary

Package: vncterm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>

Package: vncterm-doc
Architecture: all
Description: documentation for vncterm
 <insert long description, indented with spaces>
