## vncterm 0.9.0

=== debian/changelog ===
vncterm (0.9.0-2) UNRELEASED; urgency=low

  * Remove xen-missing-headers dependency

 -- Jon Ludlam <jonathan.ludlam@citrix.com>  Thu, 04 Sep 2014 12:00:00 +0000

vncterm (0.9.0-1) UNRELEASED; urgency=low

  * Update to latest version of upstream package

 -- Euan Harris <euan.harris@citrix.com>  Thu, 22 Aug 2013 12:00:00 +0000
