=== debian/control ===
Source: vncterm
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 dh-ocaml (>= 0.9),
 ocaml-nox,
 qemu-system-x86,
 blktap-dev,
 debhelper (>= 8),
 blktap-utils,
 python,
 libxen-dev

Package: vncterm
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: TTY to VNC utility
 This package contains the vncterm utility
