## vncterm 0.9.10

=== debian/changelog ===
vncterm (0.9.10-2build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:49:52 +0000

vncterm (0.9.10-2) unstable; urgency=medium

  * Upload to unstable.
  * Changed maintainer e-mail address.

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Tue, 02 Jun 2015 00:16:40 +0200

vncterm (0.9.10-1) unstable; urgency=low

  * Initial release (Closes: #776182)

 -- Peter Spiess-Knafl <psk@autistici.org>  Sun, 25 Jan 2015 02:47:51 +0000
