=== debian/control ===
Source: vncterm
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Peter Spiess-Knafl <dev@spiessknafl.at>
Build-Depends: debhelper (>= 9), dh-autoreconf, pkg-config, libvncserver-dev
Standards-Version: 3.9.6
Homepage: https://github.com/LibVNC/vncterm
Vcs-Git: git://anonscm.debian.org/collab-maint/vncterm.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/vncterm.git

Package: linuxvnc
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: VNC server to allow remote access to a tty
 linuxvnc can export your currently running text sessions to any VNC client.
 It can be useful if you want to move to another computer without having to
 log out or to help a distant colleague solve a problem.
