=== debian/watch ===
version=3
https://github.com/LibVNC/vncterm/releases .*/archive/(.+)\.tar\.gz
