=== debian/changelog ===
vncterm (1.1) unstable; urgency=low

  * Initial Release.

 -- root <root@builder.dmz.bit.nl>  Tue, 26 Jan 2016 15:05:28 +0100
