=== debian/control ===
Source: vncterm
Section: x11
Priority: extra
Maintainer: root <root@builder.dmz.bit.nl>
Build-Depends: debhelper (>= 8.0.0),libc6-dev (>= 2.7-18),libjpeg62,libjpeg62-dev,zlib1g-dev (>= 1:1.2.1),libgnutls28-dev,console-data,quilt
Standards-Version: 3.9.2
Homepage: https://github.com/proxmox/vncterm
#Vcs-Git: git://git.debian.org/collab-maint/vncterm.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/vncterm.git;a=summary

Package: vncterm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: VNC Terminal Emulator With vncterm you can start commands and  export its standard input and output to any VNC client (simulating a xterm Terminal).
