=== debian/changelog ===
vncterm (1.8.0) bookworm; urgency=medium

  * re-build for Debian 12 Bookworm based releases

  * update libvncserver to 0.9.14

 -- Proxmox Support Team <support@proxmox.com>  Mon, 29 May 2023 17:10:38 +0200

vncterm (1.7-1) bullseye; urgency=medium

  * rebuild for Debian 11 Bullseye based releases

 -- Proxmox Support Team <support@proxmox.com>  Sun, 16 May 2021 19:06:09 +0200

vncterm (1.6-2) pve pmg; urgency=medium

  * import libvncserver 0.9.13 upstream release

 -- Proxmox Support Team <support@proxmox.com>  Wed, 15 Jul 2020 07:05:12 +0200

vncterm (1.6-1) pve pmg; urgency=medium

  * rebuild for Debian Buster

 -- Proxmox Support Team <support@proxmox.com>  Wed, 22 May 2019 19:42:26 +0200

vncterm (1.5-3) unstable; urgency=medium

  * depend on libjpeg62-turbo instead of libjpeg62

 -- Proxmox Support Team <support@proxmox.com>  Wed, 15 Nov 2017 12:46:19 +0100

vncterm (1.5-2) unstable; urgency=medium

  * replaced pure plack cursor with a more visible pointer with white edges

 -- Proxmox Support Team <support@proxmox.com>  Wed, 07 Jun 2017 13:53:17 +0200

vncterm (1.5-1) unstable; urgency=medium

  * use unifont to support more glyphs (range 0x0000..0xFFFF)

  * support wide characters

  * support combining glyphs

 -- Proxmox Support Team <support@proxmox.com>  Wed, 24 May 2017 13:12:55 +0200

vncterm (1.4-2) unstable; urgency=medium

  * fix bound checking on cursor move

 -- Proxmox Support Team <support@proxmox.com>  Sat, 06 May 2017 08:09:29 +0200

vncterm (1.4-1) unstable; urgency=medium

  * recompile for Debian Stretch / PVE 5

 -- Proxmox Support Team <support@proxmox.com>  Fri, 10 Mar 2017 10:19:48 +0100

vncterm (1.3-2) unstable; urgency=medium

  * bound check utf8 characters

  * detect empty first parameter of escape codes

 -- Proxmox Support Team <support@proxmox.com>  Fri, 10 Mar 2017 10:11:00 +0100

vncterm (1.3-1) unstable; urgency=low

  * update cipher suites to GnuTLS's NORMAL

  * allow building with GnuTLS 3.5

  * update LibVNCServer to 0.9.11

 -- Proxmox Support Team <support@proxmox.com>  Fri, 3 Feb 2017 08:52:31 +0100

vncterm (1.2-1) unstable; urgency=low

  * recompile for Debian Jessie / PVE 4

 -- Proxmox Support Team <support@proxmox.com>  Fri, 27 Feb 2015 20:00:46 +0100

vncterm (1.1-8) unstable; urgency=low

  * update applet signature (new code signing cert)

 -- Proxmox Support Team <support@proxmox.com>  Fri, 25 Jul 2014 06:57:46 +0200

vncterm (1.1-7) unstable; urgency=low

  *  new option -notls (for novnc)

 -- Proxmox Support Team <support@proxmox.com>  Mon, 23 Jun 2014 13:30:50 +0200

vncterm (1.1-6) unstable; urgency=low

  * set Caller-Allowable-Codebase and remove Trusted-Library. This avoids
    security popups with latest Java 7u45. Also see:
  
    http://stackoverflow.com/questions/19393826/java-applet-manifest-allow-all-caller-allowable-codebase

 -- Proxmox Support Team <support@proxmox.com>  Fri, 08 Nov 2013 11:27:08 +0100

vncterm (1.1-5) unstable; urgency=low

  * use Comodo code sign cert for applet signature

 -- Proxmox Support Team <support@proxmox.com>  Fri, 08 Nov 2013 08:35:10 +0100

vncterm (1.1-4) unstable; urgency=low

  * Allow to add intermediate certificates to /etc/pve/local/pve-ssl.pem 
  (users previously used apache option SSLCertificateChainFile for that).
  
 -- Proxmox Support Team <support@proxmox.com>  Mon, 03 Jun 2013 08:26:59 +0200

vncterm (1.1-3) unstable; urgency=low

  *  re-enable javascript-events.patch (used for migrate/reload)

 -- Proxmox Support Team <support@proxmox.com>  Fri, 10 May 2013 07:56:35 +0200

vncterm (1.1-2) unstable; urgency=low

  * recompile VnCViewer.jar with openJDK
  
  * set trusted-lib to avoid security popup
  
  * disable unused javascript-events.patch

 -- Proxmox Support Team <support@proxmox.com>  Sat, 20 Apr 2013 16:05:41 +0200

vncterm (1.1-1) unstable; urgency=low

  * recompile for wheezy

 -- Proxmox Support Team <support@proxmox.com>  Fri, 15 Mar 2013 08:26:04 +0100

vncterm (1.0-3) unstable; urgency=low

  * fix focus traversal

 -- Proxmox Support Team <support@proxmox.com>  Tue, 21 Aug 2012 09:14:04 +0200

vncterm (1.0-2) unstable; urgency=low

  * do not create a new process group (with setsid), so
  we can kill the whole pve task if used inside fork_worker().

 -- Proxmox Support Team <support@proxmox.com>  Tue, 13 Sep 2011 10:49:32 +0200

vncterm (1.0-1) unstable; urgency=low

  * use TigerVNC java sources
  
  * implement TLS encryption and vencrypt password auth
  
  * removed support for -passwdfile option

 -- root <root@maui.maurer-it.com>  Mon, 24 Jan 2011 10:46:25 +0100

vncterm (0.9-2) unstable; urgency=low

  * compiled for debian etch
  
  * use memmove instead of rfbDoCopyRect (avoid SIGSEGV when
  called with negative dy)

 -- Proxmox Support Team <support@proxmox.com>  Wed, 22 Apr 2009 10:02:08 +0200

vncterm (0.9-1) stable; urgency=low

  * initial import

 -- Proxmox Support Team <support@proxmox.com>  Thu, 27 Dec 2007 05:57:17 +0100
