=== debian/control ===
Source: vncterm
Section: admin
Priority: optional
Maintainer: Proxmox Support Team <support@proxmox.com>
Build-Depends: cmake,
               debhelper-compat (= 12),
               libglib2.0-dev,
               libgnutls28-dev,
               libjpeg62-turbo-dev,
               libpng-dev,
               quilt,
               unifont,
               zlib1g-dev,
Standards-Version: 4.6.1

Package: vncterm
Architecture: any
Section: x11
Priority: optional
Depends: libgnutls-deb0-28 | libgnutls30,
         libjpeg62-turbo,
         libpng16-16,
         zlib1g (>= 1:1.2.1),
         ${misc:Depends},
         ${shlibs:Depends},
Description: VNC Terminal Emulator
 With vncterm you can start commands and export its standard input and
 output to any VNC client (simulating a xterm Terminal).
